# CEGUI::Imageset_xmlHandler Class Reference

Handler class used to parse the Imageset XML files using SAX2. More...

Collaboration diagram for CEGUI::Imageset_xmlHandler:

[legend]
List of all members.

## Public Member Functions

| Imageset_xmlHandler (Imageset *imageset)
| Constructor for Imageset::xmlHandler objects.
virtual | ~Imageset_xmlHandler (void)
| Destructor for Imageset::xmlHandler objects.
virtual void | elementStart (const String &element, const XMLAttributes &attributes)
| document processing (only care about elements, schema validates format)
virtual void | elementEnd (const String &element)
Imageset * | getImageset (void) const

## Detailed Description

Handler class used to parse the Imageset XML files using SAX2.

## Constructor & Destructor Documentation

CEGUI::Imageset_xmlHandler::Imageset_xmlHandler | ( | Imageset * | imageset | ) | `[inline]`

Constructor for Imageset::xmlHandler objects.

Parameters:

  | imageset | Pointer to the Imageset object creating this xmlHandler object